<?php

namespace App\Controller;

use App\Http\WebflowApi\WebflowApiCollection;
use App\Http\WebflowApi\WebflowApiCollections;
use App\Http\WebflowApi\WebflowSites;
use App\Http\WebflowApi\WebflowSite;
use App\Http\WebflowApiClient;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;

class IndexController extends AbstractController
{
    /**
     * @Route("/", name="index")
     */
    public function index(WebflowSites $wfsites, WebflowApiClient $wfapi)
    {
        dump($wfsites->getSiteByShortName("tromsup"));
        $site = WebflowSite::byId($wfapi, '5ebabfe546c816388d66c03a');

        dump($site);

        dump($site->getCollections());
        dump((new WebflowApiCollections($wfapi, $site)));

        $coll = WebflowApiCollection::byId($wfapi, '5ebbafce7b593028a5f8f29a');

        dump($coll);

        $items = $coll->getItems();

        dump($items);

        return $this->render('index/index.html.twig', [
            'controller_name' => 'IndexController',
        ]);
    }
}
