<?php

namespace App\Http\WebflowApi;

class WebflowApiCollection extends AbstractWebflowApiField {

    protected function getLoadScope(): string
    {
        return sprintf('collections/%s', $this->data['_id']);
    }

    public function getItems(): ?WebflowApiCollectionItems {
        return $this->loadCollection(
            sprintf('collections/%s/items', $this->data['_id']),
            WebflowApiCollectionItems::class
        );
    }

}
